{% extends 'base.html.twig' %}

{% block title %}Review - Avis sur {{ product.name }}{% endblock %}

{% block body %}
    <h1><a href="{{ path('product_list_in_category', {category:product.category.id}) }}">{{ product.category.name }}</a> >
        <a href="{{ path('product_info', {product:product.id}) }}">{{ product.name }}</a> > Avis</h1>
    <h2>Liste des avis</h2>
    {% if is_granted('ROLE_USER') %}
    <a href="{{ path('review_add',{product:product.id}) }}" class="btn btn-primary">Ajouter un avis</a>
    {% endif %}
    
    <div class="row mt-2">
        {% for review in reviews %}
            <div class="col-4 mb-2">
                <div class="card">
                    <div class="card-header">
                        Avis {{ loop.index }}
                    </div>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">{{ review.note }} / 5</li>
                        <li class="list-group-item">{{ review.comment }}</li>
                        {% if is_granted('edit', review) and is_granted('delete', review) %}
                            <li class="list-group-item">
                                <a href="{{ path('review_edit',{review:review.id}) }}" class="btn btn-success">Éditer</a>
                                <a onclick="return confirm('Êtes-vous sûr de vouloir supprimer cet avis ?')" href="{{ path('review_delete',{review:review.id}) }}" class="btn btn-danger">Supprimer</a>
                            </li>
                        {% endif %}
                    </ul>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}